Subject: Re: bug#10162: 24.0.91; rcirc autojoin broken (freenode/oftc) when rcirc-authenticate-before-join is set

From: Chong Yidong <[email-masked]>
Date: Mon, 29 Oct 2012 19:23:59 +0800

Hi Ryan, Deniz,

Could either of you please take a look at this bug?  This appears to be
a regression, so it would be good to fix it for Emacs 24.3.  Thanks.

[email-masked] (Trent W. Buck) writes:

> When doing emacs -f irc or M-x irc, Emacs would connect to all three
> servers, but not autojoin channels in Freenode with this setting:
>
>     (setq rcirc-server-alist
>           `(("irc.freenode.net" :channels ("##workingset"
>                                            "#collectd"
>                                            "#emacs"
>                                            "#lxcontainers"
>                                            "#netfilter"
>                                            "#paredit"
>                                            "#screen"
>                                            "#ubuntu-hardened"
>                                            "#ubuntu-server"))
>             ("irc.oftc.net" :channels ("#debian-au"
>                                        "#debian-derivatives"
>                                        "#debian-eeepc"
>                                        "#debian-haskell"
>                                        "#debian-mentors"
>                                        "#debian-next"))
>             ("irc.cyber.com.au" :channels ("#cyber"))))
>
> I tried moving freenode to be the last of the three; the result was that
> only #cyber was joined.
>
> As a random guess, I tried (setq rcirc-authenticate-before-join nil) --
> this fixed the problem.
>
> I speculate there is an issue with this new feature when >1 server is in
> the server alist.  I could reproduce this behaviour reliably with a
> dozen or so attempts under emacs-snapshot; I never had this behaviour
> under 23 (which predates authenticate-before-join).
>
> I also had this problem several months ago with the emacs-snapshot that
> was current then; I didn't bother to investigate at the time -- it was
> easier to just switch back to 23.
>
> irc.cyber.com.au is an internal (private) office IRC server; running
> ircd-irc2 2.11.2p1+dfsg-2 on Ubuntu 10.04 (Lucid).
>
> A complete (but slightly older) copy of my emacs configuration can be
> found at http://cyber.com.au/~twb/.emacs and
> http://cyber.com.au/~twb/.rcirc.el.
>
> In GNU Emacs 24.0.91.1 (x86_64-pc-linux-gnu)
>  of 2011-11-04 on zelenka, modified by Debian
>  (emacs-snapshot package, version 1:20111104-1)